For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

account funding activities total

get

https://pro-api.solscan.io/v2.0/account/funding/activities/total

Get the total funding activities count of an address.

QUERY PARAMS

address

string

required

Solana wallet address of the funder

to

array

Filter funding activities with direction is to one/multi funded address. You can filter by multiple addresses. Example: ?to[]=address1&to[]=address2. Maximum 5 addresses

Maximum allowed values: 5

exclude_to

array

Filter funding activities with direction is not to one/multi funded address. You can filter by multiple addresses. Example: ?exclude_to[]=address1&exclude_to[]=address2. Maximum 5 addresses

Maximum allowed values: 5

program

array

Filter by program address that executed the funding activity. You can filter by multiple addresses. Example: ?program[]=address1&program[]=address2. Maximum 5 addresses

Maximum allowed values: 5

amount

array

Filter by amount range (non-negative integer, raw lamports). Pass one value for a lower bound only, or two values for a closed range. Example: ?amount[]=1 returns amount >= 1; ?amount[]=1&amount[]=2 returns 1 <= amount <= 2

Maximum allowed values: 2

value

array

Filter by value range (USD, non-negative). Pass one value for a lower bound only, or two values for a closed range. Example: ?value[]=1 returns value >= 1; ?value[]=1&value[]=10 returns 1 <= value <= 10

Maximum allowed values: 2

from_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

to_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Status of Api

data

number

Total funding activities count of an account

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples